/*  */
function mode_scrut_detail(path, sval, mode, act, ERI, pmsg, omsg, rpstr, ldiv, mtype, mutp) {
	if (confirm(return_language_str(path, sval, '', pmsg, '')+"?")) {
		loading_create('Y');
		var mdir = '',perm = '',
			url = path+'core/cw5e_engine_detail.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&act='+act+'&ERI='+ERI;
		switch (mutp) {
			case 'R': mdir = 'manage'; break;
			case 'B':
			default: mdir = 'modules'; break;
		}
		var nmary = ['exec','qwe','sor','itms'];
		rpstr = rpstr.split(',');
		for (var i = 0; i < nmary.length; i++) {
			if ((rpstr[i]) && $('#'+rpstr[i]+mtype).length > 0) {
				if (perm != '') perm += '&';
				perm += nmary[i]+'='+EncodeURLutf8($('#'+rpstr[i]+mtype).val());
			}
		}
		$.get(url, "", function(msg) {
			// console.log(msg);
			var ret_msg = JSON.parse(msg);
			if (ret_msg[0].result == "false") {
				alert(ret_msg[0].message);
				loading_close('');
				return false;
			} else {
				//alert(return_language_str(path, sval, '', omsg, '')+"!");
				post_redirect(ldiv, perm, path+mdir+'/'+mode+'/detail.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&mutp='+mutp+'&act=view&ERI='+ERI);
			}
		});
	}
}